using System.Text.Json.Serialization;

namespace Adaptation.FileHandlers.json.WorkItems;

public class Links
{
    [JsonConstructor]
    public Links(
        Avatar avatar,
        Self self,
        WorkItemUpdates workItemUpdates,
        WorkItemRevisions workItemRevisions,
        WorkItemComments workItemComments,
        Html html,
        WorkItemType workItemType,
        Fields fields
    )
    {
        Avatar = avatar;
        Self = self;
        WorkItemUpdates = workItemUpdates;
        WorkItemRevisions = workItemRevisions;
        WorkItemComments = workItemComments;
        Html = html;
        WorkItemType = workItemType;
        Fields = fields;
    }

    public Avatar Avatar { get; set; } // { init;  get; }
    public Self Self { get; set; } // { init;  get; }
    public WorkItemUpdates WorkItemUpdates { get; set; } // { init;  get; }
    public WorkItemRevisions WorkItemRevisions { get; set; } // { init;  get; }
    public WorkItemComments WorkItemComments { get; set; } // { init;  get; }
    public Html Html { get; set; } // { init;  get; }
    public WorkItemType WorkItemType { get; set; } // { init;  get; }
    public Fields Fields { get; set; } // { init;  get; }
}