using System.Text.Json.Serialization;

namespace Adaptation.FileHandlers.json.WorkItems;

public class Root
{
    [JsonConstructor]
    public Root(
        int id,
        int rev,
        Fields fields,
        Links links,
        string url
    )
    {
        Id = id;
        Rev = rev;
        Fields = fields;
        Links = links;
        Url = url;
    }

    public int Id { get; set; } // { init;  get; }
    public int Rev { get; set; } // { init;  get; }
    public Fields Fields { get; set; } // { init;  get; }

    [JsonPropertyName("_links")]
    public Links Links { get; set; } // { init;  get; }
    public string Url { get; set; } // { init;  get; }
}