using System.Text.Json.Serialization;

namespace Adaptation.FileHandlers.json.WorkItems;

public class User
{
    [JsonConstructor]
    public User(
        string displayName,
        string url,
        Links links,
        string id,
        string uniqueName,
        string imageUrl,
        string descriptor
    )
    {
        DisplayName = displayName;
        Url = url;
        Links = links;
        Id = id;
        UniqueName = uniqueName;
        ImageUrl = imageUrl;
        Descriptor = descriptor;
    }

    public string DisplayName { get; set; } // { init;  get; }
    public string Url { get; set; } // { init;  get; }
    public Links Links { get; set; } // { init;  get; }
    public string Id { get; set; } // { init;  get; }
    public string UniqueName { get; set; } // { init;  get; }
    public string ImageUrl { get; set; } // { init;  get; }
    public string Descriptor { get; set; } // { init;  get; }
}